# $Revision: 1.14 $, $Date: 2002/02/09 20:22:21 $
Summary:	Forms editing support (obsolete, use Widget instead)
Summary(pl):	Wsparcie do edycji formularzy (stare, uyj Widget zamiast tego)
Name:		xemacs-forms-pkg
%define 	srcname	forms
Version:	1.14
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Group(cs):	Aplikace/Editory/Emacs
Group(de):	Anwendungen/Editoren/Emacs
Group(es):	Aplicaciones/Editores/Emacs
Group(fr):	Applications/Editeurs/Emacs
Group(ja):	ץꥱ/ǥ/Emacs
Group(pl):	Aplikacje/Edytory/Emacs
Group(pt):	Aplicaes/Editores/Emacs
Group(ru):	//Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	xemacs-sumo

%description
Forms editing support (obsolete, use Widget instead).

%description -l pl 
Wsparcie do edycji formularzy (stare, uyj Widget zamiast tego).

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/forms; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

gzip -9nf lisp/forms/ChangeLog 

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/forms/ChangeLog.gz 
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.elc

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-forms-pkg.spec,v $
Revision 1.14  2002/02/09 20:22:21  kloczek
- updated to 1.14.

Revision 1.13  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/11 11:34:02  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.11  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/02/13 18:12:56  mis
- updated to 1.13

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:37:24  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
